up:
  comments: 'Rename from Phoenix to Neos'
  migration:
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'TYPO3.PhoenixDemoTypo3Org:Registration'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'TYPO3.NeosDemoTypo3Org:Registration'
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'TYPO3.PhoenixDemoTypo3Org:YouTube'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'TYPO3.NeosDemoTypo3Org:YouTube'
    -
      filters:
        -
          type: 'NodeName'
          settings:
            nodeName: 'phoenixdemotypo3org'
      transformations:
        -
          type: 'RenameNode'
          settings:
            newName: 'neosdemotypo3org'

down:
  comments: 'Rename from Neos to Phoenix'
  migration:
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'TYPO3.NeosDemoTypo3Org:Registration'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'TYPO3.PhoenixDemoTypo3Org:Registration'
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'TYPO3.NeosDemoTypo3Org:YouTube'
      transformations:
        -
          type: 'ChangeNodeType'
          settings:
            newType: 'TYPO3.PhoenixDemoTypo3Org:YouTube'
    -
      filters:
        -
          type: 'NodeName'
          settings:
            nodeName: 'neosdemotypo3org'
      transformations:
        -
          type: 'RenameNode'
          settings:
            newName: 'phoenixdemotypo3org'
